# Standard 2

### Model Overview

**Standard 2** is the general-purpose image upscaling model recommended for most photos and graphics. It delivers clean, reliable enlargement across a wide range of image types while maintaining true-to-input detail and structure.

### Key Capabilities

* Trusted, industry-standard image upscaling
* Preserves natural detail and texture
* Balanced model is Ideal default choice for photos, graphics, and print

### Model Pricing

<table data-header-hidden data-full-width="false"><thead><tr><th width="119.84765625">Text</th><th width="60.390625" data-type="number">Number</th><th width="59.5390625" data-type="number"></th><th width="60.0859375" data-type="number"></th><th width="60.265625" data-type="number"></th><th width="59.94140625" data-type="number"></th><th width="59.5390625" data-type="number"></th><th width="60.34375" data-type="number"></th><th width="59.9296875" data-type="number"></th><th width="59.828125" data-type="number"></th><th width="59.5078125" data-type="number"></th></tr></thead><tbody><tr><td><code>Output MP</code></td><td>1</td><td>4</td><td>8</td><td>16</td><td>24</td><td>32</td><td>40</td><td>50</td><td>64</td><td>100</td></tr><tr><td><code>Credits</code></td><td>1</td><td>1</td><td>1</td><td>1</td><td>1</td><td>2</td><td>2</td><td>3</td><td>3</td><td>5</td></tr></tbody></table>

### Getting Started

**Endpoint**

* <https://api.topazlabs.com/image/v1/enhance/async>
  * `model` — `"Standard V2"`

<details>

<summary><strong>Endpoint-Specific Parameters</strong></summary>

* `face_enhancement` — boolean
  * Leverages our face recovery model to enhance faces.
* `face_enhancement_strength` — decimal between 0 and 1 *(required if `face_enhancement=true`)*
  * Sets the strength of the face recovery.
* `face_enhancement_creativity` — decimal between 0 and 1 *(required if `face_enhancement=true`)*
  * Choose realistic or creative face recovery.
* `subject_detection` — `"foreground"`, `"background"`, or `"all"`
  * Choose where enhancements are applied.
* `sharpen` — decimal between 0 and 1
  * Slightly sharpens the image.
* `denoise` — decimal between 0 and 1
  * Reduces noise in the image.
* `fix_compression` — decimal between 0 and 1
  * Reduces compression artifacts to improve details.
* `strength` — decimal between 0.01 and 1
  * Controls model strength. Too high of a result can make results look unrealistic.

These parameters should be appended as key-value fields in the form-data request bodies (i.e. alongside the `model`, `output_height`, and `face_enhancement` etc. fields). Any parameters not explicitly provided are **automatically** configured by our auto-parameter model. Extra parameters provided that are not supported are ignored.

</details>

**Model-Specific Parameters**

* No parameters

**Resolution Limits**

* `input` — 512 MP
* `output` — 1024 MP

### Examples

<table data-card-size="large" data-view="cards"><thead><tr><th align="center"></th><th data-hidden data-card-cover data-type="image">Cover image</th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td align="center">Click to view</td><td><a href="/files/5L9txJiMtqbGYfB6WJYu">/files/5L9txJiMtqbGYfB6WJYu</a></td><td><a href="https://compare.topazlabs.com/share/image?src1=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2FBird.png&#x26;src1label=Before&#x26;src2=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2FBird%20Standard%202%204x.png&#x26;src2label=After&#x26;zoom=1">https://compare.topazlabs.com/share/image?src1=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2FBird.png&#x26;src1label=Before&#x26;src2=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2FBird%20Standard%202%204x.png&#x26;src2label=After&#x26;zoom=1</a></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.topazlabs.com/image-models/gigapixel/standard-2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
